petsc-3.12.1 2019-10-22
Report Typos and Errors

# MATSOLVERBAS

Provides ICC(k) with drop tolerance Works with MATAIJ matrices

### Options Database Keys

| -pc_factor_levels <l> | - number of levels of fill
| -pc_factor_drop_tolerance | - is not currently hooked up to do anything

Contributed by: Bas van 't Hof

### Notes

Since this currently hooked up to use drop tolerance it should produce the same factors and hence convergence as the PETSc ICC, for higher levels of fill it does not. This needs to be investigated. Unless you are interested in drop tolerance ICC and willing to work through the code we recommend not using this functionality.

### See Also

PCFactorSetMatSolverType(), MatSolverType, PCFactorSetLevels(), PCFactorSetDropTolerance()

### Level

intermediate

### Location

src/mat/impls/aij/seq/bas/spbas.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages